SkmXmlApi

Public Member Functions | List of all members
SkmXmlApi.PanTiltZoomController Class Reference

Controls the Pan/Tilt/Zoom functions of a PTZ enabled camera More...

## Public Member Functions
| PanTiltZoomController (Camera skmCamera)
| Creates a new PanTiltZoomController to control the Skm camera that is passed to it. More...
void | CenterCameraOnPoint (int x, int y, int videoWidth, int videoHeight)
| Center's a camera to a certain point. More...
void | BeginMoving (int horizontalSpeed, int verticalSpeed)
| Tells the camera to start moving in a direction. More...
void | Stop ()
| Stops the camera when it is currently moving. More...
void | PanTiltStep (PanTiltStepDirection direction)
| Moves the camera in the smallest increment. More...
void | ZoomStep (ZoomDirection zoomDirection)
| Zooms the camera in the smallest increment More...
void | BeginZoom (int zoomSpeed)
| Starts zooming the camera. Zooming will not stop until the camera has reached it's physical limits or a Stop() was called on the controller. More...

## Detailed Description

Controls the Pan/Tilt/Zoom functions of a PTZ enabled camera

## Constructor & Destructor Documentation

## ◆ PanTiltZoomController()

SkmXmlApi.PanTiltZoomController.PanTiltZoomController | ( | Camera | skmCamera | ) |

Creates a new PanTiltZoomController to control the Skm camera that is passed to it.

Parameters

  skmCamera |

## Member Function Documentation

## ◆ BeginMoving()

void SkmXmlApi.PanTiltZoomController.BeginMoving | ( | int | horizontalSpeed,
|  | int | verticalSpeed
| ) |  |

Tells the camera to start moving in a direction.

Parameters

  horizontalSpeed | Speed at which the camera should move horizontally
  verticalSpeed | Speed at which the camera should move vertically

## ◆ BeginZoom()

void SkmXmlApi.PanTiltZoomController.BeginZoom | ( | int | zoomSpeed | ) |

Starts zooming the camera. Zooming will not stop until the camera has reached it's physical limits or a Stop() was called on the controller.

Parameters

  zoomSpeed | The speed to zoom the camera.

## ◆ CenterCameraOnPoint()

void SkmXmlApi.PanTiltZoomController.CenterCameraOnPoint | ( | int | x,
|  | int | y,
|  | int | videoWidth,
|  | int | videoHeight
| ) |  |

Center's a camera to a certain point.

Parameters

  x | Horizontal point to set camera to
  y | Verticle point to set camera to
  videoWidth | Pixel width of the video
  videoHeight | Pixel height of the video

## ◆ PanTiltStep()

void SkmXmlApi.PanTiltZoomController.PanTiltStep | ( | PanTiltStepDirection | direction | ) |

Moves the camera in the smallest increment.

Parameters

  direction | Direction to move the camera

## ◆ Stop()

void SkmXmlApi.PanTiltZoomController.Stop | ( |  | ) |

Stops the camera when it is currently moving.

## ◆ ZoomStep()

void SkmXmlApi.PanTiltZoomController.ZoomStep | ( | ZoomDirection | zoomDirection | ) |

Zooms the camera in the smallest increment

Parameters

  zoomDirection | Direction to zoom the camera

The documentation for this class was generated from the following file:

- src/SkmXmlApi/PanTiltZoomController.cs